org.apache.cassandra.db

## Class ReadResponse

- java.lang.Object
- - org.apache.cassandra.db.ReadResponse

    public class ReadResponse
    extends java.lang.Object

### Field Summary

Fields
`static IVersionedSerializer<ReadResponse>` `serializer`

### Constructor Summary

Constructors
Constructor and Description
`ReadResponse(java.nio.ByteBuffer digest)`
`ReadResponse(Row row)`
`ReadResponse(Row row, java.nio.ByteBuffer digest)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `digest()`
`boolean` `isDigestQuery()`
`Row` `row()`
`void` `setDigest(java.nio.ByteBuffer digest)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static final IVersionedSerializer<ReadResponse> serializer

### Constructor Detail

#### ReadResponse

    public ReadResponse(java.nio.ByteBuffer digest)

#### ReadResponse

    public ReadResponse(Row row)

#### ReadResponse

    public ReadResponse(Row row,
                        java.nio.ByteBuffer digest)

### Method Detail

#### row

    public Row row()

#### digest

    public java.nio.ByteBuffer digest()

#### setDigest

    public void setDigest(java.nio.ByteBuffer digest)

#### isDigestQuery

    public boolean isDigestQuery()